<script lang="ts">
    /**
     * For test purpose, using ts and ms, storybook user wrappers or view.
     * like this:
     *  - https://github.com/storybookjs/storybook/blob/main/examples/svelte-kitchen-sink/src/stories/views/ButtonView.svelte
     */
    import Button from './Button.svelte'
    
    let {labelSlot, ...props} = $$props
</script>

<Button { ...props } on:click>
    { labelSlot }
</Button>